// /services/database/fetchPoiDataService.js

export const fetchPoiDataService = async (idPoi) => {
  try {
    const response = await fetch(`/api/talas_v5_DB/pois/getPoiById?idPoi=${idPoi}`);
    if (!response.ok) throw new Error("Fehler beim Abrufen der POI-Daten");
    const data = await response.json();
    return {
      idPoi,
      name: data.name,
      description: data.description,
      idLD: data.idLD,
    };
  } catch (error) {
    console.error("Fehler beim Abrufen der POI-Daten", error);
    return null;
  }
};
